QuantLib: LogCubicInterpolation Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
LogCubicInterpolation Class Reference

log-cubic interpolation between discrete points More...

`#include <ql/math/interpolations/loginterpolation.hpp>`

Inheritance diagram for LogCubicInterpolation:
[legend]

## Public Member Functions
template<class I1 , class I2 >
| LogCubicInterpolation (const I1 &xBegin, const I1 &xEnd, const I2 &yBegin, CubicInterpolation::DerivativeApprox da, bool monotonic, CubicInterpolation::BoundaryCondition leftC, Real leftConditionValue, CubicInterpolation::BoundaryCondition rightC, Real rightConditionValue)
Public Member Functions inherited from Interpolation
bool | empty () const
Real | operator() (Real x, bool allowExtrapolation=false) const
Real | primitive (Real x, bool allowExtrapolation=false) const
Real | derivative (Real x, bool allowExtrapolation=false) const
Real | secondDerivative (Real x, bool allowExtrapolation=false) const
Real | xMin () const
Real | xMax () const
bool | isInRange (Real x) const
void | update ()
Public Member Functions inherited from Extrapolator
void | enableExtrapolation (bool b=true)
| enable extrapolation in subsequent calls
void | disableExtrapolation (bool b=true)
| disable extrapolation in subsequent calls
bool | allowsExtrapolation () const
| tells whether extrapolation is enabled

## Additional Inherited Members
Public Types inherited from Interpolation
typedef Real | argument_type
typedef Real | result_type
Protected Member Functions inherited from Interpolation
void | checkRange (Real x, bool extrapolate) const
Protected Attributes inherited from Interpolation
boost::shared_ptr< Impl > | impl_

## Detailed Description

log-cubic interpolation between discrete points

## Constructor & Destructor Documentation

LogCubicInterpolation | ( | const I1 & | xBegin,
|  | const I1 & | xEnd,
|  | const I2 & | yBegin,
|  | CubicInterpolation::DerivativeApprox | da,
|  | bool | monotonic,
|  | CubicInterpolation::BoundaryCondition | leftC,
|  | Real | leftConditionValue,
|  | CubicInterpolation::BoundaryCondition | rightC,
|  | Real | rightConditionValue
| ) |  |

Precondition
  the \( x \) values must be sorted.